O Apple silicon está pronto para Programming languages?

AplicativoOtimizado para M1Rosetta 2Versão M1 SuportadaContribute
Kotlin1.5.30
Dart SDK2.14.1
Julia language ⚠️ 1.7.0-beta4
OCaml4.12.0
Haskell 🚫 8.10.5
RStudio ⚠️ 1.4.1717
R4.1.0 "Camp Pontanezen"
Golang1.16
Python3.9.1+
Rust1.49 (Tier 2)
PHP-
Deno1.6.0+
Rustup1.23.0+

✅ Totalmente compatível com Apple silicon (M1)
🚫 Não está funcionando
⚠️ Suporte inicial ou Beta com problemas / travamentos relatados